Bug 24395 - CVE-2010-3710: Segfault in filter_var with FILTER_VALIDATE_EMAIL with large amount of data
: CVE-2010-3710: Segfault in filter_var with FILTER_VALIDATE_EMAIL with large a...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/php5)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://bugs.php.net/bug.php?id=52929
: security
:
:
  Show dependency tree
 
Reported: 2010-10-23 10:37 by
Modified: 2010-10-30 15:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-23 10:37:36
There is an error in php_filter_validate_email() function, when validating
email addresses, that may cause segfault and crash via long input string
------- Comment #1 From 2010-10-23 11:54:51 -------
Спасибо, сейчас исправим.
------- Comment #2 From 2010-10-30 15:30:28 -------
php5-5.3.3.20100722-alt3 -> sisyphus:

* Sat Oct 23 2010 Anton Farygin <rider@altlinux> 5.3.3.20100722-alt3
- fixed default sendmail_path value
- fixed segfault in filter_var with FILTER_VALIDATE_EMAIL with large amount of
data, CVE-2010-3710 (closes: #24395)